Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4577)
@@ -2218,153 +2234,153 @@
           CASE ( 'binary' )
 !
-!--          character output
+!--          Character output
              IF ( PRESENT( values_char_0d ) )  THEN
-                 CALL binary_write_variable( file_id, variable_id,                      &
-                         bounds_start_internal, value_counts, bounds_origin, is_global, &
+                 CALL binary_write_variable( file_id, variable_id,                                 &
+                         bounds_start_internal, value_counts, bounds_origin, is_global,            &
                         values_char_0d=values_char_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_char_1d=values_char_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_char_2d=values_char_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_char_3d=values_char_3d_pointer, return_value=output_return_value )
 !
 !--          8bit integer output
              ELSEIF ( PRESENT( values_int8_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_0d=values_int8_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_1d=values_int8_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_2d=values_int8_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_3d=values_int8_3d_pointer, return_value=output_return_value )
 !
 !--          16bit integer output
              ELSEIF ( PRESENT( values_int16_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_0d=values_int16_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_1d=values_int16_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_2d=values_int16_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_3d=values_int16_3d_pointer, return_value=output_return_value )
 !
 !--          32bit integer output
              ELSEIF ( PRESENT( values_int32_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_0d=values_int32_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_1d=values_int32_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_2d=values_int32_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_3d=values_int32_3d_pointer, return_value=output_return_value )
 !
-!--          working-precision integer output
+!--          Working-precision integer output
              ELSEIF ( PRESENT( values_intwp_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_0d=values_intwp_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_1d=values_intwp_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_2d=values_intwp_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_3d=values_intwp_3d_pointer, return_value=output_return_value )
 !
 !--          32bit real output
              ELSEIF ( PRESENT( values_real32_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_0d=values_real32_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_1d=values_real32_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_2d=values_real32_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_3d=values_real32_3d_pointer, return_value=output_return_value )
 !
 !--          64bit real output
              ELSEIF ( PRESENT( values_real64_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_0d=values_real64_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_1d=values_real64_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_2d=values_real64_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_3d=values_real64_3d_pointer, return_value=output_return_value )
 !
 !--          working-precision real output
              ELSEIF ( PRESENT( values_realwp_0d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_0d=values_realwp_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_1d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_1d=values_realwp_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_2d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_2d=values_realwp_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_3d ) )  THEN
-                CALL binary_write_variable( file_id, variable_id,                      &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL binary_write_variable( file_id, variable_id,                                  &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_3d=values_realwp_3d_pointer, return_value=output_return_value )
              ELSE
                 return_value = 1
-                CALL internal_message( 'error', routine_name //                          &
-                                       ': output_type not supported by file format "' // &
-                                       TRIM( file_format ) // '" ' //                    &
-                                       '(variable "' // TRIM( variable_name ) //         &
+                CALL internal_message( 'error', routine_name //                                    &
+                                       ': output_type not supported by file format "' //           &
+                                       TRIM( file_format ) // '" ' //                              &
+                                       '(variable "' // TRIM( variable_name ) //                   &
                                        '", file "' // TRIM( file_name ) // '")!' )
              ENDIF
